<?
require("../clases/doc_curso.class.php");
require("../clases/clases.class.php"); $objcla = new clases();
require("../clases/matricula.class.php"); $objma = new matricula();
$obj = new doc_curso();
$t = $_REQUEST["text"];
if($t=="R"){
		
	$d = $_REQUEST["docente"];
	$c = $_REQUEST["curso"];
	if($obj->BuscarPorCursoDoc($c,$d))	
	 {
	   echo "<script languaje=javascript>\n"; 
	   echo "alert('Este curso ya se asigno a este docente');location.href ='../mancursodoc.php';";					
	   echo "</script>"; 
	 }else{	
				if($obj->Crear($c,$d)){		
							echo "<script languaje=javascript>\n"; 
							echo "location.href ='../mancursodoc.php';";					
							echo "</script>"; 						
				}else{
					   echo "no pasa nada";
					 }
		  }
}

if($t=="e"){

 $cod = $_REQUEST["id"];
 if($objcla->BuscarPorDoccurso($cod)){
   echo "<script languaje=javascript>\n"; 
   echo "alert('Esta Asignacion posee clases cargadas en el sistema, elimine las clases para proceder a eliminar la asignacion');location.href ='../mancursodoc.php';";					
   echo "</script>"; 
 }else{
       if($objma->BuscarPorDocCur($cod))
	   {
	      echo "<script languaje=javascript>\n"; 
		  echo "alert('Existen Alumnos inscritos en esta asignacion y pueda que haya trabajos cargados al sistema, por favor disponga a retirar a los alumnos y quitar los trabajos cargados al sistema, gracias');location.href ='../mancursodoc.php';";					
		  echo "</script>"; 
	   }else{
			   if($obj->Eliminar($cod)){
			   
				   echo "<script languaje=javascript>\n"; 
					echo "location.href ='../mancursodoc.php';";					
					echo "</script>";		
			   }
			   else
			   {
				echo "no pasa nada";
				}
			}
	  }
}

?>
